package click.runtime.remote;

import java.io.IOException;
import java.util.Properties;

import jist.runtime.JistAPI;

public interface RemoteConnector extends JistAPI.DoNotRewrite  {

  /**
   * Inits the connector
   * 
   * @param prop
   */
  void init(Properties prop);

  void connect(String host) throws IOException;

  void disconnect() throws IOException;

  String execute(String command) throws IOException;

  int beginExecute(String[] script);

  String finishExecute(int cookie) throws IOException;

}
